Skip to main content
POST
/
items
/
bulk_action
Apply a bulk action
curl --request POST \
  --url https://api.example.com/items/bulk_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filter": {
    "type": "<string>",
    "source": "<string>",
    "tags": [
      "<string>"
    ],
    "since": "<string>",
    "until": "<string>",
    "filter": "<string>"
  },
  "dry_run": true,
  "max_items": 1,
  "emit_events": true
}
'
{
  "action": "<string>",
  "matched": 123,
  "succeeded": 123,
  "errored": 123,
  "dry_run": true,
  "ids": [
    "<string>"
  ],
  "errors": [
    {
      "id": "<string>",
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "blob_hashes_referenced": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.myme.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass an API key (marfa_k1_...) or OAuth access token (marfa_at_...)

Body

application/json
action
enum<string>
required
Available options:
transition
state
enum<string>
required
Available options:
active,
archived,
trashed
filter
object
dry_run
boolean
max_items
integer
Required range: x > 0
emit_events
boolean

Response

Dry-run result (synchronous; non-dry-run goes async)

action
string
required
matched
integer
required
succeeded
integer
required
errored
integer
required
dry_run
boolean
required
ids
string[]
errors
object[]
blob_hashes_referenced
integer